Changing Datepicker

Bug #1744191 reported by Liam on 2018-01-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Liam

Bug Description

A new datepicker may be available to use to bring Mahara more up to date with current styling standards

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8472

Liam (liam-sharpe) on 2018-02-01
Changed in mahara:
status: New → In Progress
Changed in mahara:
importance: Undecided → Wishlist
milestone: none → 18.04.0

Styling as expected in the date picker

Different styling when in "Shared by me". It should look the same as in Resume.

Reviewed: https://reviews.mahara.org/8472
Committed: https://git.mahara.org/mahara/mahara/commit/5044c25d991cde6aafc1e838d25f5116eb7accdd
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5044c25d991cde6aafc1e838d25f5116eb7accdd
Author: Liam <email address hidden>
Date: Fri Jan 26 10:18:06 2018 +1300

Bug #1744191: Changing date inputs to datepicker on group, user, and institution settings

behatnotneeded

Change-Id: I76365ac480d5d74d974c7776f738788710bc7cca

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8469
Committed: https://git.mahara.org/mahara/mahara/commit/8d796e7ca04b6df776b5deeb07cf38b9c7b037c0
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 8d796e7ca04b6df776b5deeb07cf38b9c7b037c0
Author: Liam <email address hidden>
Date: Tue Jan 23 17:03:15 2018 +1300

Bug #1744191: Updated the datepicker to use the bootstrap one

Includes accessibility features
Includes ability to translate tooltips
Have picker div appear inside a <div> rather than <span> for valid
markup

behatnotneeded

Change-Id: I7e4dfb5026cfa579145ca4c932ad673690a8c55a

Robert Lyon (robertl-9) on 2018-03-08
Changed in mahara:
status: In Progress → Fix Committed
tags: added: nominatedfeature

Reviewed: https://reviews.mahara.org/8681
Committed: https://git.mahara.org/mahara/mahara/commit/878245e154316dddb71767f7db03102400d9bd54
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 878245e154316dddb71767f7db03102400d9bd54
Author: Liam <email address hidden>
Date: Thu Mar 22 09:45:07 2018 +1300

Bug #1744191 - datepicker accessibility

-Changed keyboard shortcuts
-Added aria label to input block
-Changed help text
-Added application roles

Also updated datepicker so that picker time works in 24hr format

behatnotneeded

Change-Id: I73015ec689cd0947d4498b8bad014df79b7d4384

Reviewed: https://reviews.mahara.org/8709
Committed: https://git.mahara.org/mahara/mahara/commit/e5efbafbb45fe182870b39052701669f1c07ce9a
Submitter: Robert Lyon (<email address hidden>)
Branch: 18.04_STABLE

commit e5efbafbb45fe182870b39052701669f1c07ce9a
Author: Liam <email address hidden>
Date: Thu Mar 22 09:45:07 2018 +1300

Bug #1744191 - datepicker accessibility

-Changed keyboard shortcuts
-Added aria label to input block
-Changed help text
-Added application roles

Also updated datepicker so that picker time works in 24hr format

behatnotneeded

Change-Id: I73015ec689cd0947d4498b8bad014df79b7d4384
(cherry picked from commit 878245e154316dddb71767f7db03102400d9bd54)

Robert Lyon (robertl-9) on 2018-04-05
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers